$md-radio-checked-color: #227093;
$md-radio-checked-background: #ffffff;
$md-radio-border-color: rgba(0, 0, 0, 0.54);
$md-radio-size: 26px;
$md-radio-checked-size: 21px; 
$md-radio-ripple-size: 25px;

@keyframes ripple {
  
  0% {
    box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.0);
  }
  
  50% { 
    box-shadow: 0px 0px 0px $md-radio-ripple-size rgba(0, 0, 0, 0.1);
  }
  
  100% {
    box-shadow: 0px 0px 0px $md-radio-ripple-size rgba(0, 0, 0, 0);
  }
}

input[type="checkbox"].custom-radio {
    display: none;
  
    &:checked + label:before {
        border-color: $md-radio-checked-color;
        background-color: $md-radio-checked-color;
        // border-width: 5px;
        animation: ripple 0.2s linear forwards;   
    }
  
    &:checked + label:after {
        transform: scale(1);
    }
}
.customRadio label {
    display: inline-block;
    height: $md-radio-size;
    position: relative;
    padding: 0 ($md-radio-size + 21px);
    margin-bottom: 13px;
    cursor: pointer;
    vertical-align: bottom;
    font-family: "RobotoMedium";
	font-size: 13px;
  
    &:before, &:after {
        position: absolute;            
        content: '';  
        border-radius: 50%;
        transition: all .3s ease;
        transition-property: transform, border-color;
    }
  
    &:before {
        left: 0;
        top: 0;
        width: $md-radio-size;
        height: $md-radio-size;
        border: 2px solid $md-radio-border-color;
    }
  
    &:after {
        top: ($md-radio-size  - $md-radio-checked-size - 0.5px);
        left: ($md-radio-size  - $md-radio-checked-size - 0.5px);
        width:$md-radio-checked-size;
        height:$md-radio-checked-size;
        transform: scale(0);
        background:$md-radio-checked-background;
    }
}

.labelText {
    height: 100%;
    display: flex;
    align-items: center;
    margin-top: 2px;
}
